Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.network
Class QIPv6Address

    java.lang.Object
      com.trolltech.qt.QSignalEmitter
          com.trolltech.qt.QtJambiObject
              com.trolltech.qt.network.QIPv6Address

All Implemented Interfaces:
  QtJambiInterface

    public class QIPv6Address

extends QtJambiObject

Nested Class Summary

Nested classes/interfaces inherited from class com.trolltech.qt.QSignalEmitter
`QSignalEmitter.AbstractSignal, QSignalEmitter.Signal0, QSignalEmitter.Signal1<A>, QSignalEmitter.Signal2<A,B>, QSignalEmitter.Signal3<A,B,C>, QSignalEmitter.Signal4<A,B,C,D>, QSignalEmitter.Signal5<A,B,C,D,E>, QSignalEmitter.Signal6<A,B,C,D,E,F>, QSignalEmitter.Signal7<A,B,C,D,E,F,G>, QSignalEmitter.Signal8<A,B,C,D,E,F,G,H>, QSignalEmitter.Signal9<A,B,C,D,E,F,G,H,I>`

Constructor Summary
`QIPv6Address()` Constructs a new QIPv6Address.

Method Summary
`byte[]` | `c()` Returns this QIPv6Address as a byte array.
`static QIPv6Address` | `fromNativePointer(QNativePointer nativePointer)` This function returns the QIPv6Address instance pointed to by nativePointer
`static QNativePointer` | `nativePointerArray(QIPv6Address[] array)` This function returns a QNativePointer that is pointing to the specified QIPv6Address array.
`void` | `setC(byte[] c)` Sets this QIPv6Address to `c`.

Methods inherited from class com.trolltech.qt.QtJambiObject
`dispose, disposed, finalize, reassignNativeResources, tr, tr, tr`

Methods inherited from class com.trolltech.qt.QSignalEmitter
`blockSignals, disconnect, disconnect, signalsBlocked, signalSender, thread`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.trolltech.qt.QtJambiInterface
`disableGarbageCollection, nativeId, nativePointer, reenableGarbageCollection, setJavaOwnership`

Constructor Detail

### QIPv6Address

    public QIPv6Address()

  Constructs a new QIPv6Address.

Method Detail

### setC

    public final void setC(byte[] c)

  Sets this QIPv6Address to `c`.

### c

    public final byte[] c()

  Returns this QIPv6Address as a byte array.

### fromNativePointer

    public static QIPv6Address fromNativePointer(QNativePointer nativePointer)

  This function returns the QIPv6Address instance pointed to by nativePointer

  Parameters:
    `nativePointer` - the QNativePointer of which object should be returned.

### nativePointerArray

    public static QNativePointer nativePointerArray(QIPv6Address[] array)

  This function returns a QNativePointer that is pointing to the specified QIPv6Address array.

  Parameters:
    `array` - the array that the returned pointer will point to.
  Returns:
    a QNativePointer that is pointing to the specified array.

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD